> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription Data

> Retrieves all the values in the Subscription Data bag



## OpenAPI

````yaml /openapi/openapi_subscription.json get /commerce/subscriptions/{subscriptionId}/data
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SUBSCRIPTION">
                <h2>SUBSCRIPTIONS</h2>
                <p>The Subscription APIs are used to create and manage subscriptions in either an eCommerce+OMS implementation or a standalone 
                    Subscriptions solution. This includes updating items and quantities, subscription frequency, coupons, and performing actions 
                    on a subscription in addition to turning a subscription into an order. For more information, see the <a href="/pages/product-subscriptions">Subscriptions feature guide</a>.
                </p>
            </div>
  title: Subscriptions
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/subscriptions/{subscriptionId}/data:
    get:
      tags:
        - Subscription
      summary: Get Subscription Data
      description: Retrieves all the values in the Subscription Data bag
      parameters:
        - description: Unique Identifier of the Subscription whose Data you want to get
          in: path
          name: subscriptionId
          required: true
          schema:
            type: string
        - in: query
          name: draft
          schema:
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
            text/json:
              schema:
                type: object
            text/plain:
              schema:
                type: object
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````